from korpus.sensor import Sensor


class Messung:

    def __init__(self, name, sensoren: list[Sensor]):
        self.name = name
        self.sensoren = sensoren

    def get_characterisation(self):
        result = self.name + "\n"
        result += f"Anzahl an Einzelsensoren: {len(self.sensoren)}"

        for sensor in self.sensoren:
            result += sensor.get_characterisation()

        return result
